@charset "utf-8";




/*===========================================================*/
/*機能編  9-1-5 スクロールをするとエリアの高さに合わせて線が伸びる*/
/*===========================================================*/

.scrollgress{
	z-index:99;/*他のposition指定しているエリアより前に出すためz-indexの数字を大きく*/
}

/*===========================================================*/
/*機能編  7-1-35	下線が伸びて背景に変わる*/
/*===========================================================*/


.btnlinestretches3{
    /*線の基点とするためrelativeを指定*/
	position:relative;
    /*ボタンの形状*/  
	color:#333;
    padding: 5px 30px;
	display:inline-block;
    text-decoration: none;
    outline: none;
}

/*テキストの設定*/
.btnlinestretches3 span{
    /*テキストを前面に出すためz-indexの値を高く設定*/
	position:relative;
	z-index: 2;
}

.btnlinestretches3:hover span{
	color: #fff;
}

/*線の設定*/
.btnlinestretches3::after {
	content:'';
    /*絶対配置で線の位置を決める*/
	position:absolute;
	z-index:1;
	bottom:0;
	left:0;
    /*線の形状*/
	background:#333;
	width:100%;
	height:3px;
    /*アニメーションの指定*/
	transition:all 0.3s ease-in-out;
}

/*線が伸びて背景に*/
.btnlinestretches3:hover::after {
	height:100%;
}

/*===========================================================*/
/*機能編  8-1-3 ページの指定の高さを超えたら右から出現*/
/*===========================================================*/

/*リンクの形状*/
#page-top a{
	display: flex;
	justify-content:center;
	align-items:center;
	background:#eb6100;
	width: 60px;
	height: 50px;
	color: #fff;
	text-align: center;
	text-transform: uppercase; 
	text-decoration: none;
	font-size:0.6rem;
	transition:all 0.3s;
}

#page-top a:hover{
	background: #777;
}

/*リンクを右下に固定*/
#page-top {
	position: fixed;
	right: 0;
	bottom:0;
	z-index: 2;
    /*はじめは非表示*/
	opacity: 0;
	transform: translateX(100px);
}

/*　左の動き　*/

#page-top.LeftMove{
	animation: LeftAnime 0.5s forwards;
}

@keyframes LeftAnime{
  from {
    opacity: 0;
	transform: translateX(100px);
  }
  to {
    opacity: 1;
	transform: translateX(0);
  }
}

/*　右の動き　*/

#page-top.RightMove{
	animation: RightAnime 0.5s forwards;
}
@keyframes RightAnime{
  from {
  	opacity: 1;
	transform: translateX(0);
  }
  to {
  	opacity: 1;
	transform: translateX(100px);
  }
}

/*===========================================================*/
/*機能編  9-2-2 任意の場所をクリックすると隠れていた内容が開き、先に開いていた内容が閉じる*/
/*===========================================================*/

/*アコーディオン全体*/
.accordion-area{
    list-style: none;
    width: 96%;
    max-width: 900px;
    margin:0 auto;
}

.accordion-area li{
    margin: 10px 0;
}

.accordion-area section {
	border: 1px solid #ccc;
}

/*アコーディオンタイトル*/
.title {
    position: relative;/*+マークの位置基準とするためrelative指定*/
    cursor: pointer;
    font-size:1rem;
    font-weight: normal;
    padding: 3% 3% 3% 50px;
    transition: all .5s ease;
}

@media screen and (max-width:820px) {
.title {
    font-size:0.9rem;
}
}

/*アイコンの＋と×*/
.title::before,
.title::after{
    position: absolute;
    content:'';
    width: 15px;
    height: 2px;
    background-color: #333;
    
}
.title::before{
    top:48%;
    left: 15px;
    transform: rotate(0deg);
    
}
.title::after{    
    top:48%;
    left: 15px;
    transform: rotate(90deg);

}

/*　closeというクラスがついたら形状変化　*/

.title.close::before{
	transform: rotate(45deg);
}

.title.close::after{
	transform: rotate(-45deg);
}

/*アコーディオンで現れるエリア*/
.box {
    display: none;/*はじめは非表示*/
    background: #f3f3f3;
	margin:0 3% 3% 3%;
    padding: 3%;
}


/*===========================================================*/
/*機能編  9-4-1 ニュースティッカー*/
/*===========================================================*/

/*ニュース1行の周りの余白*/
.slider a{
    display: block;
    background:#fff;
    padding:10px 0;
}

/*日付*/
.slider time{
    display:inline-block;
    font-size:0.8rem;
    margin-right:10px;
    color:#777;
}

/*768px以下の見た目*/
@media screen and (max-width:820px) {
    .slider {
        padding:20px;
        background:#fff;
    }

    .slider li {
        border-bottom:1px dashed #ccc;
    }

    .slider li:last-child {
        border-bottom:none;
    }
    .slider time {
        display:block;
		padding-bottom:10px;
    }
}

/*==================================================
	背景が流れる（中央から横全体）
===================================*/

/*== ボタン共通設定 */
.btn{
    /*アニメーションの起点とするためrelativeを指定*/
    position: relative;
	overflow: hidden;
    /*ボタンの形状*/
	text-decoration: none;
	display: inline-block;
   	border: none;/* ボーダーの色と太さ */
	background-color: #333333;
    padding: 15px 8px;
    text-align: center;
    outline: none;
    /*アニメーションの指定*/   
    transition: ease .2s;
	width: 75%;
}

.btn.bgcenterout{
   	border: 1px solid #fff;/* ボーダーの色と太さ */
    padding: 8px 40px;
}

/*ボタン内spanの形状*/
.btn span {
	position: relative;
	z-index: 2;/*z-indexの数値をあげて文字を背景よりも手前に表示*/
	color:#ffffff;
	font-weight: 500;
}

.btn:hover span{
	color:#fff;
}

.btn.bgcenterout span{
	color:#fff;
}

.btn.bgcenterout:hover span{
	color:#ffffff;
}

/*== 中央から横全体 */
.bgcenterx:before {
	content: '';
    /*絶対配置で位置を指定*/
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
    /*色や形状*/
	background: rgba(212,133,135,1.00);
	width: 100%;
	height: 100%;
    /*アニメーション*/
	transition: transform .3s cubic-bezier(0.8, 0, 0.2, 1) 0s;
	transform: scale(0, 1);
	transform-origin: top;
}


.bgcenterx2:before {
	content: '';
    /*絶対配置で位置を指定*/
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
    /*色や形状*/
	background: #be2f8c;
	width: 100%;
	height: 100%;
    /*アニメーション*/
	transition: transform .3s cubic-bezier(0.8, 0, 0.2, 1) 0s;
	transform: scale(0, 1);
	transform-origin: top;
}

/*hoverした際の形状*/
.bgcenterx:hover:before,.bgcenterx2:hover:before{
	transform:scale(1, 1);
}


/*== 中央から外 */
.bgcenterout:before {
	content: '';
    /*絶対配置で位置を指定*/
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
    /*色や形状*/
	background: #A11735;
	width: 100%;
	height: 100%;
    /*アニメーション*/
	transition: transform .3s cubic-bezier(0.8, 0, 0.2, 1) 0s;
	transform: scale(0, 0);
	transform-origin:center;
}

/*hoverした際の形状*/
.bgcenterout:hover:before{
	transform:scale(1, 1);
}




/*===========================================================*/
/* 印象編 4 最低限おぼえておきたい動き*/
/*===========================================================*/

/*4-9　シャッ（左から）*/
.bgextend{
	animation-name:bgextendAnimeBase;
	animation-duration:1s;
	animation-fill-mode:forwards;
	position: relative;
	overflow: hidden;/*　はみ出た色要素を隠す　*/
	opacity:0;
}

@keyframes bgextendAnimeBase{
  from {
    opacity:0;
  }

  to {
    opacity:1;  
}
}

/*中の要素*/
.bgappear{
	animation-name:bgextendAnimeSecond;
	animation-duration:1s;
	animation-delay: 0.6s;
	animation-fill-mode:forwards;
	opacity: 0;
}

@keyframes bgextendAnimeSecond{
	0% {
	opacity: 0;
	}
	100% {
	opacity: 1;
}
}

.bgLRextend::before{
	animation-name:bgLRextendAnime;
	animation-duration:1s;
	animation-fill-mode:forwards;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #eb6100;/*伸びる背景色の設定*/
}
@keyframes bgLRextendAnime{
	0% {
		transform-origin:left;
		transform:scaleX(0);
	}
	50% {
		transform-origin:left;
		transform:scaleX(1);
	}
	50.001% {
		transform-origin:right;
	}
	100% {
		transform-origin:right;
		transform:scaleX(0);
	}
}

/* 4-1 ふわっ（下から） */

.fadeUp{
animation-name: fadeUpAnime;
animation-duration:0.5s;
animation-fill-mode:forwards;
opacity:0;
}

@keyframes fadeUpAnime{
  from {
    opacity: 0;
	transform: translateY(100px);
  }

  to {
    opacity: 1;
	transform: translateY(0);
  }
}


/* 4-2　パタッ（左へ） */
.flipLeft{
animation-name: flipLeftAnime;
animation-duration:0.5s;
animation-fill-mode:forwards;
perspective-origin: left center;
opacity:0;
}

@keyframes flipLeftAnime{
  from {
   transform: perspective(600px) translate3d(0, 0, 0) rotateY(30deg);
 	opacity: 0;
  }

  to {
  transform: perspective(600px) translate3d(0, 0, 0) rotateY(0deg);
  opacity: 1;
  }
}

/* スマホ表示用。flipLeftTriggerを指定している親要素に指定しないとうまく動かない*/
#vision,
.service-area{
    transform:  translate3d(0, 0, 0);
}

/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.bgLRextendTrigger,
.bgappearTrigger,
.fadeUpTrigger,
.flipLeftTrigger{
    opacity: 0;
}

/*== 丸ボタン共通設定 */


.btn_round{
    /*アニメーションの起点とするためrelativeを指定*/
    position: relative;
	overflow: hidden;
    /*ボタンの形状*/
	text-decoration: none;
	display: inline-block;
   	border: none;
	background-color: #E1E1E1;
    padding: 0;
    text-align: center;
    outline: none;
    /*アニメーションの指定*/   
    transition: ease .2s;
	font-size: 0.8rem;
	width: 30px;
	height: 30px;
	vertical-align: middle;
	border-radius: 50%;
}


/*ボタン内spanの形状*/
.btn_round span {
	position: relative;
	z-index: 2;/*z-indexの数値をあげて文字を背景よりも手前に表示*/
	color:#FFFFFF;
	font-weight: 300;
	padding: 0 0 0 1px;
	font-size: 1rem;
	line-height: 1.1rem;
}


@media only screen and (max-width: 550px) {
.btn_round{
    /*アニメーションの起点とするためrelativeを指定*/
    position: relative;
	overflow: hidden;
    /*ボタンの形状*/
	text-decoration: none;
	display: inline-block;
   	border: none;
    padding: 3px 0 0 2px;
    text-align: center;
    outline: none;
    /*アニメーションの指定*/   
    transition: ease .2s;
	width: 35px;
	height: 34px;
	vertical-align: middle;
	border-radius: 50%;
}
	
	/*ボタン内spanの形状*/
.btn_round span {
	position: relative;
	z-index: 2;/*z-indexの数値をあげて文字を背景よりも手前に表示*/
	color:#FFFFFF;
	font-weight: 300;
	padding: 0;
	font-size: 1.1rem;
}
}

.btn_round:hover span{
	color:#fff;
}

.colorOrange{
	background-color: rgba(238,122,0,1.0) ;
}

.colorPink{
	background-color: rgba(240,230,228,0.9) ;
}

.colorPink2{
	background-color: rgba(212,133,135,0.5) ;
}

.colorGreen{
	background-color: rgba(120,188,39,1.0) ;
}

.bgskew_pink::before {
  content: '';
    /*絶対配置で位置を指定*/
  position: absolute;
  top: 0;
  left: -150%;
    /*色や形状*/
  background: #72C7CA;
  width:120%;
  height: 100%;
  transform: skewX(-25deg);
}

/*hoverした時のアニメーション*/
.bgskew_pink:hover::before {
  animation: skewanime .5s forwards;/*アニメーションの名前と速度を定義*/
}

@keyframes skewanime {
  100% {
    left:-10%;/*画面の見えていない左から右へ移動する終了地点*/
  }
}


